BandaAncha.eu

Comunidad de usuarios
de fibra, móvil y ADSL

CoreCtrl pide permisos de administrador al iniciar Kubuntu

Weikis336

Tengo instalado CoreCtrl con un perfil de ventiladores y de voltajes y frecuencias para mi Radeon RX 570

El caso es que cada vez que inicio Kubuntu, Core Ctrl me pide permisos de administrador.

Ya e realizado los pasos para CoreCtrl que salen en su wiki.

screenshot-20220720-162741.webpscreenshot-20220720-163127.webpscreenshot-20220720-163303.webp

Solucionado a medias

E instalado Debian 11 booworm/sid y despues de batallar un poco para poder instalar core ctrl debido a no conseguir compilar corectrl con Cmake. Me descarge del ppa para ubuntu de corectrl un .deb de corectrl "corectrl_1.3.0~git2110151511.58ac0fb~h~mesarc12_amd64" al instalarlo con nala me tiraba error me faltaban dependencias que con los repositorios de debian oficiales no me instalaba. Por lo que busque la libreria "libbotan-2-17_2.17.3+dfsg-2_amd64" que me daba error. Luego de instalar pude ya configurar segun el setup de corectrl y al arrancar ya no me pide la contraseña de usuario.

En ocasiones normales si llevara tiempo con la distro pondria la contraseña y punto pero como llevaba en kubuntu solo 2 dias pues…

Black Hole
1

No conozco el paquete, pero las instrucciones en su Wiki (https://gitlab.com/corectrl/corectrl/-/wikis/Setup) definen 2 sintaxis dependiendo de la versión de Polkit.
Tú has usado la sintaxis para Polkit menor de 0.106, mientras que para versiones iguales o superiores a la 0.106, la sintaxis es diferente. ¿Podría ser ese tu problema?

🗨️ 7
Weikis336

La polkit de kubuntu es 0.105

🗨️ 6
Black Hole

Ya veo… en Manjaro es la 121. He reiniciado en Kubuntu y he visto que el paquete polkitd está actualizado a la subversion 0.105-33. Leyendo resultados de Google parece ser que Ubuntu usa un fork de polkit 0.105 del Debian Unstable original. Hace un par de años se descubrió un grave fallo de seguridad que afectaba a todos los polkit de los últimos 7 años (podías matar un proceso en medio de la ventana que pedía la autorización y hacerte pasar por otro usuario que podía llegar a root). Parece que Ubuntu sigue con subversiones de la 105, mientras que otros sistemas han seguido otra nomenclatura. Supongo que tu Kubuntu estará actualizado a la 0.105-33, aunque eso no explicaría los problemas que tienes.

Iba a ir a mirar permisos, por si acaso, pero mi instalación de Kubuntu es básicamente la instalación por defecto y todas las carpetas bajo /etc/polkit-1/localauthority las tengo vacías sin reglas específicas de ninguna aplicación. Luego he visto que CoreCtrl no está compilado en ningún repositorio oficial y hay que añadir la PPA de Ernst Sjöstrand. Pero en cuanto lo hice metió nuevos controladores de mesa, vulkan y amdgpu… que me jodieron las dependencias, el paquete corectrl no se instala, y me ha inutilizado el apt. A ver cómo arreglo esto…

🗨️ 5
Weikis336

Pues menuda faena y todo por ayudar… Yo como lo e instalado hace poco el lunes de esta semana no e tenido estos problemas. Para hacer y deshacer las instalaciones apt utilizo nala y va genial te guarda las instalaciones en un historial y para deshacer cambios va genial. En el portatil si que le e metido arch Linux pero no conseguia modelarlo para dejarlo fino en cunsumo de batería. Y ya que probe en Arch el escritorio KDE lo e instalado en el sobremesa.

No es que me molestaria tener que reinstalar pero me llevaria unas horas volver a dejar el escritorio con todo lo que tengo configurado, pero podria hacerlo para tener un kernel mas actualizado, pero pacman y yay se me hacen un poco raros la costumbre de apt la llevo desde elementary Freya.

No sabia el fallo tan gordo que mencionas.

🗨️ 4